Unable to install Pi Sensor Hat

I’m using a RPi4 w/ 4g. with a 64g sim card.
I’ve tried to ADD Sense Hat to Settings > Input page and it just doesn’t want to add the HAT.
When I select ADD, the system takes me to another page: /admin/dependencies/PI_SENSE_HAT
and a warning: Error: Add Input: The PI_SENSE_HAT device you’re trying to add has unmet dependencies: sense-hat.
After selecting Install dependencies I get:

[2021-06-16 08:45:16] Dependency installation beginning. Installing: sense-hat

[2021-06-16 08:45:17]
[2021-06-16 08:45:17] #### Installing/updating sense-hat==2.2.0 (pip-pypi)
[2021-06-16 08:45:19] Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
[2021-06-16 08:45:19] Requirement already satisfied: sense-hat==2.2.0 in /usr/lib/python3/dist-packages (2.2.0)
[2021-06-16 08:45:20] Requirement already satisfied: pillow in ./env/lib/python3.7/site-packages (from sense-hat==2.2.0) (8.1.2)
[2021-06-16 08:45:20] Requirement already satisfied: numpy in /usr/lib/python3/dist-packages (from sense-hat==2.2.0) (1.16.2)

[2021-06-16 08:45:24] End install of sense-hat

[2021-06-16 08:45:24]
[2021-06-16 08:45:24] #### Setting permissions

[2021-06-16 08:45:25] #### Dependency install finished

When I go back to Settings > Input page, Sense HAT still isn’t listed.

I’ve reboot the system multiple times, disconnected the sensor, tried to add the HAT multiple times.
I’ve reloaded Mycodo 8.11 and even went so far as to upgrade to Master and I still stumped.

I’ve used Mycodo to install Sense-HAT, sudo apt install, and pip install and still can’t get sense-HAT to display on the Settings> Input page.

I tried ADDing bme280 with no problems.

Please Advise

I found you fix on the old forum… so far it works…

I’m not sure what you’re referring to, but I would not rely on anything from the old forum, as it is likely obsolete by now. I did find an error in the naming of the Python library name, which prevented the library check from passing. I pushed a fix that will be available in the net release, but if you want to test the new code, you can upgrade to master.